Subject: [bug#70317] [PATCH v2 00/13] Add soju

From: Jesse Eisses <[email-masked]>
Date: Fri, 26 Apr 2024 00:08:11 +0200

Hi Oleg,

Thank you for the detailed feedback, I learned a lot from it.

I've updated the patch set with the following:

- rebased on to master
- do not use input labels
- added longer package description for fts5
- added explanation for disabled tests
- moved soju to (gnu packages irc)

About the import-path for the jwt-v3 package: I believe this is correct, as 
this patch adds the jwt-v3 package and does not touch the v4 package.

I'm not sure what was meant with applying a G-expression, but I did add
a #~ in front of modify-phases.

I hope this improves the situation and will statisfy the QA. Looking forward
to further input, thanks!

- Jesse

Jesse Eisses (13):
  gnu: packages: Add go-github-com-golang-jwt-jwt-v3
  gnu: packages: Add go-github-com-msteinert-pam
  gnu: packages: Add go-nhooyr-io-websocket
  gnu: packages: Add go-github-com-pires-go-proxyproto
  gnu: go-github-com-prometheus-client-model: Update to 0.5.0
  gnu: packages: Add go-github-com-sherclockholmes-webpush-go
  gnu: packages: Add go-git-sr-ht-emersion-go-sqlite3-fts5
  gnu: packages: Add go-git-sr-ht-sircmpwn-go-bare
  gnu: go-github-com-prometheus-common: Update to 0.45.0
  gnu: go-github-com-prometheus-client-golang: Update to 1.17.0
  gnu: packages: Add go-gopkg-in-irc-v4
  gnu: golang-protobuf-extensions-pbutil: Update to 2.0.0
  gnu: packages: Add soju

 gnu/packages/golang-crypto.scm |  19 +++
 gnu/packages/golang-xyz.scm    | 218 ++++++++++++++++++++++++++++-----
 gnu/packages/golang.scm        |   8 +-
 gnu/packages/irc.scm           | 103 ++++++++++++++++
 gnu/packages/messaging.scm     |  81 ++++++++++++
 gnu/packages/syncthing.scm     |  52 ++++----
 6 files changed, 423 insertions(+), 58 deletions(-)

-- 
2.41.0